Package oasis.names.tc.dss._1_0.core.schema

# Class SigningTimeBoundaries

java.lang.Object
oasis.names.tc.dss._1_0.core.schema.SigningTimeBoundaries

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class SigningTimeBoundaries extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="LowerBoundary" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             <element name="UpperBoundary" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SigningTimeBoundaries()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getLowerBoundary()`
  Gets the value of the lowerBoundary property.
  `Instant`
  `getUpperBoundary()`
  Gets the value of the upperBoundary property.
  `void`
  `setLowerBoundary(Instant value)`
  Sets the value of the lowerBoundary property.
  `void`
  `setUpperBoundary(Instant value)`
  Sets the value of the upperBoundary property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SigningTimeBoundaries

    public SigningTimeBoundaries()

- ## Method Details

  - ### getLowerBoundary

    public Instant getLowerBoundary()
    Gets the value of the lowerBoundary property.
    Returns:
      possible object is `String`

  - ### setLowerBoundary

    public void setLowerBoundary(Instant value)
    Sets the value of the lowerBoundary property.
    Parameters:
      `value` - allowed object is `String`

  - ### getUpperBoundary

    public Instant getUpperBoundary()
    Gets the value of the upperBoundary property.
    Returns:
      possible object is `String`

  - ### setUpperBoundary

    public void setUpperBoundary(Instant value)
    Sets the value of the upperBoundary property.
    Parameters:
      `value` - allowed object is `String`